Jobs API
Create a job
Create a new job with optional scheduling and test configuration.
Authorization
bearerAuth AuthorizationBearer <token>
CLI token (sck_live_*) for full API access, or trigger key (sck_trigger_* / legacy job_*) for job trigger endpoint only.
In: header
Request Body
application/json
name*string
description?string
cronSchedule?string
tests*array<>
Array of test references to include in this job
Items
1 <= itemsjobType?string
Default
"playwright"Value in
"playwright" | "k6"alertConfig?
Response Body
application/json
application/json
application/json
curl -X POST "https://demo.supercheck.dev/api/jobs" \ -H "Content-Type: application/json" \ -d '{ "name": "Nightly E2E Suite", "tests": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ] }'{
"success": true,
"job": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"cronSchedule": "string",
"nextRunAt": "2019-08-24T14:15:22Z",
"scheduledJobId": "string",
"jobType": "playwright"
}
}Empty
{
"error": "Unauthorized"
}Empty
{
"error": "string"
}